Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class ConsoleOutput

    java.lang.Object
      org.jbehave.core.reporters.PrintStreamOutput
          org.jbehave.core.reporters.TxtOutput
              org.jbehave.core.reporters.ConsoleOutput

All Implemented Interfaces:
  StoryReporter

Direct Known Subclasses:
  ANSIConsoleOutput

    public class ConsoleOutput

extends TxtOutput

Story reporter that outputs as TXT to System.out.

Nested Class Summary

Nested classes/interfaces inherited from class org.jbehave.core.reporters.PrintStreamOutput
`PrintStreamOutput.Format`

Constructor Summary
`ConsoleOutput()`
`ConsoleOutput(Keywords keywords)`
`ConsoleOutput(Properties outputPatterns, Keywords keywords, boolean reportFailureTrace)`

Method Summary

Methods inherited from class org.jbehave.core.reporters.PrintStreamOutput
`afterExamples, afterScenario, afterStory, beforeExamples, beforeScenario, beforeStep, beforeStory, compressFailureTrace, doCompressFailureTrace, doReportFailureTrace, dryRun, escape, example, failed, failedOutcomes, format, formatTable, givenStories, givenStories, ignorable, lookupPattern, narrative, notPerformed, overwritePattern, pending, pendingMethods, print, reportFailureTrace, restarted, scenarioMeta, scenarioNotAllowed, storyCancelled, storyNotAllowed, successful, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConsoleOutput

    public ConsoleOutput()

### ConsoleOutput

    public ConsoleOutput(Keywords keywords)

### ConsoleOutput

    public ConsoleOutput(Properties outputPatterns,
                         Keywords keywords,
                         boolean reportFailureTrace)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.